#pragma once

#define NUM_CONFIG		9
#define COMMAND_LEN		1024
#define INI_FILENAME	_T("Maomi.ini")

struct SMaomiConfig
{
	int		mRadius;
	int		mDelay;
	bool	mDesktopOnly;
	int		mAction;
	TCHAR	mCommandS[COMMAND_LEN];
};

class CMaomiConfig
{
public:
	static const LPTSTR	mcDescriptionsS[NUM_CONFIG];
	SMaomiConfig		mData[NUM_CONFIG];
private:
	TCHAR				mConfigPathNameS[1024];

public:
	CMaomiConfig(void);
	~CMaomiConfig(void);
	bool Save();
	bool Load();
};
