// MaomiDlg.h : header file
//

#pragma once
#include "MaomiConfig.h"

// CMaomiDlg dialog
class CMaomiDlg : public CDialog
{
// Construction
public:
	CMaomiDlg(CMaomiConfig* aConfigP, CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_Maomi_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	void AddToTray();
	void RemoveFromTray();
	void UpdateDialogItems();
	void UpdateConfigItems();

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnClose();
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedCancel();
	afx_msg void OnBnClickedBrowse();
	afx_msg void OnAppExit();
	afx_msg void OnTraymenuRestorehide();
	afx_msg void OnCbnSelchangeLocation();
	afx_msg LRESULT OnTrayIcon(WPARAM wParam, LPARAM lParam);

	DECLARE_MESSAGE_MAP()

private:
	CMaomiConfig*	mConfigP;
	NOTIFYICONDATA	mNotifyIconData;
	CMenu			mMenu;
};
